Bug 1246721 - Review Request: nodejs-flot - Javascript plotting library for jQuery
Summary: Review Request: nodejs-flot - Javascript plotting library for jQuery
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1246783
Blocks: 1228942
TreeView+ depends on / blocked
 
Reported: 2015-07-25 03:23 UTC by Eduardo Mayorga
Modified: 2015-07-29 17:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-27 21:45:15 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2015-07-25 03:23:28 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-flot.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-flot-0.8.0-0.1.alpha.fc22.src.rpm
Description: Flot is a Javascript plotting library for jQuery.
Fedora Account System Username: mayorga

Comment 1 gil cattaneo 2015-07-25 11:46:20 UTC
available http://www.flotcharts.org/downloads/flot-0.8.3.zip
please consider upgrading

Comment 2 Dominik 'Rathann' Mierzejewski 2015-07-25 12:03:57 UTC
Taking review.

Several quick remarks:
1. 0.8.3 is available from upstream, but you need to get the source from git, otherwise it doesn't include all the files necessary for build.
I think commit 958e5fd43c6dff4bab3e1fd5cb6109df5c1e8003 is the right one for 0.8.3, but please verify.

2. Upstream uses yui-compressor JS minifier, which is not packaged for Fedora yet. You can use uglify-js or any other instead.

3. It bundles excanvas and jquery, these need to be removed.

Comment 3 gil cattaneo 2015-07-25 12:10:08 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> Taking review.
> 
> Several quick remarks:
> 1. 0.8.3 is available from upstream, but you need to get the source from
> git, otherwise it doesn't include all the files necessary for build.
> I think commit 958e5fd43c6dff4bab3e1fd5cb6109df5c1e8003 is the right one for
> 0.8.3, but please verify.
> 
> 2. Upstream uses yui-compressor JS minifier, which is not packaged for
> Fedora yet. You can use uglify-js or any other instead.
for fedora is not importable yui-compressor. use too old rhino library

> 3. It bundles excanvas and jquery, these need to be removed.
also the release you packaged

Comment 4 gil cattaneo 2015-07-25 12:10:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 17 files have unknown
     license. Detailed output of licensecheck in /home/gil/1246721-nodejs-
     flot/licensecheck.txt
    ASL 2.0
    excanvas.js
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/licenses/nodejs-
     flot(languages, langpacks:, enabled, are, No),
     /usr/lib/node_modules/flot(languages, langpacks:, enabled, are, No),
     /usr/share/doc/nodejs-flot(languages, langpacks:, enabled, are, No)
[!]: Package contains no bundled libraries without FPC exception.
    excanvas.js
    jquery.js
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-flot-0.8.0-0.1.alpha.fc23.noarch.rpm
          nodejs-flot-0.8.0-0.1.alpha.fc23.src.rpm
nodejs-flot.noarch: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
nodejs-flot.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-flot.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-flot.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-flot.noarch: W: spelling-error %description -l en_US www -> WWW, wow
nodejs-flot.noarch: W: spelling-error %description -l en_US flotcharts -> flowcharts, flowchart
nodejs-flot.noarch: W: only-non-binary-in-usr-lib
nodejs-flot.noarch: E: script-without-shebang /usr/lib/node_modules/flot/jquery.flot.selection.js
nodejs-flot.src: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
nodejs-flot.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-flot.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-flot.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-flot.src: W: spelling-error %description -l en_US www -> WWW, wow
nodejs-flot.src: W: spelling-error %description -l en_US flotcharts -> flowcharts, flowchart
2 packages and 0 specfiles checked; 1 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
nodejs-flot.noarch: W: only-non-binary-in-usr-lib
nodejs-flot.noarch: E: script-without-shebang /usr/lib/node_modules/flot/jquery.flot.selection.js
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
nodejs-flot (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-flot:
    nodejs-flot
    npm(flot)



Source checksums
----------------
http://registry.npmjs.org/flot/-/flot-0.8.0-alpha.tgz :
  CHECKSUM(SHA256) this package     : bd2cc55b5dc99e20c19425909596bdc260adbcb9248de24fe86e11722201d6b7
  CHECKSUM(SHA256) upstream package : bd2cc55b5dc99e20c19425909596bdc260adbcb9248de24fe86e11722201d6b7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1246721 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2015-07-25 12:11:15 UTC
Blocking issues:
[!]: Package contains no bundled libraries without FPC exception.
    excanvas.js
    jquery.js

Comment 6 gil cattaneo 2015-07-25 12:12:44 UTC
(In reply to gil cattaneo from comment #3)
> (In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> > Taking review.

> > 2. Upstream uses yui-compressor JS minifier, which is not packaged for
> > Fedora yet. You can use uglify-js or any other instead.
> for fedora is not importable yui-compressor. use too old rhino library
can you try with closure-compiler

Comment 7 gil cattaneo 2015-07-25 12:48:23 UTC
e.g.
sed -i  's|yui-compressor $< -o $@|closure-compiler $(CLOSURE_FLAGS) --js=$< >$@|' Makefile
%build
make %{?_smp_mflags}

output:
+ make -j4
closure-compiler  --js=jquery.flot.symbol.js >jquery.flot.symbol.min.js
closure-compiler  --js=jquery.flot.stack.js >jquery.flot.stack.min.js
closure-compiler  --js=jquery.flot.crosshair.js >jquery.flot.crosshair.min.js
closure-compiler  --js=jquery.flot.navigate.js >jquery.flot.navigate.min.js
closure-compiler  --js=jquery.flot.errorbars.js >jquery.flot.errorbars.min.js
closure-compiler  --js=jquery.flot.resize.js >jquery.flot.resize.min.js
closure-compiler  --js=jquery.flot.time.js >jquery.flot.time.min.js
closure-compiler  --js=jquery.js >jquery.min.js
closure-compiler  --js=jquery.flot.pie.js >jquery.flot.pie.min.js
closure-compiler  --js=jquery.colorhelpers.js >jquery.colorhelpers.min.js
closure-compiler  --js=jquery.flot.categories.js >jquery.flot.categories.min.js
jquery.js:2588: WARNING - Suspicious code. This code lacks side-effects. Is there a bug?
                        if ( parent ) {
                        ^

jquery.js:2589: WARNING - Suspicious code. The result of the 'getprop' operator is not being used.
                                parent.selectedIndex;
                                ^

jquery.js:2592: WARNING - Suspicious code. This code lacks side-effects. Is there a bug?
                                if ( parent.parentNode ) {
                                ^

jquery.js:2593: WARNING - Suspicious code. The result of the 'getprop' operator is not being used.
                                        parent.parentNode.selectedIndex;
                                        ^

jquery.js:3868: WARNING - Suspicious code. The result of the 'getprop' operator is not being used.
        slice.call( docElem.childNodes, 0 )[0].nodeType;
        ^

jquery.js:4448: WARNING - Suspicious code. This code lacks side-effects. Is there a bug?
                        if ( elem.parentNode ) {
                        ^

jquery.js:4449: WARNING - Suspicious code. The result of the 'getprop' operator is not being used.
                                elem.parentNode.selectedIndex;
                                ^

0 error(s), 7 warning(s)
closure-compiler  --js=jquery.flot.fillbetween.js >jquery.flot.fillbetween.min.js
closure-compiler  --js=jquery.flot.threshold.js >jquery.flot.threshold.min.js
closure-compiler  --js=jquery.flot.image.js >jquery.flot.image.min.js
closure-compiler  --js=jquery.flot.js >jquery.flot.min.js
closure-compiler  --js=jquery.flot.selection.js >jquery.flot.selection.min.js

Comment 8 Eduardo Mayorga 2015-07-26 01:02:23 UTC
Spec URL: https://fedorapeople.org/~mayorga/nodejs-flot.spec
SRPM URL: https://fedorapeople.org/~mayorga/nodejs-flot-0.8.3-1.fc22.src.rpm

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3
- Unbundling excanvas and jquery
- Minify with closure-compiler instead of yui-compressor

Comment 9 gil cattaneo 2015-07-26 09:21:57 UTC
(In reply to Eduardo Mayorga from comment #8)
> Spec URL: https://fedorapeople.org/~mayorga/nodejs-flot.spec
> SRPM URL: https://fedorapeople.org/~mayorga/nodejs-flot-0.8.3-1.fc22.src.rpm
> 
> * Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> -
> 0.8.3-1
> - Update to 0.8.3
> - Unbundling excanvas and jquery
> - Minify with closure-compiler instead of yui-compressor

if necessary can add
export CLOSURE_FLAGS="--language_in=ECMASCRIPT5"
before exec make

Comment 11 gil cattaneo 2015-07-26 18:11:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 17 files have unknown
     license. Detailed output of licensecheck in /home/gil/1246721-nodejs-
     flot/licensecheck.txt
    Please, report the problem to upstream, for add license header
Unknown or generated
--------------------
flot-0.8.3/jquery.colorhelpers.js

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/licenses/nodejs-
     flot(languages, langpacks:, enabled, are, No),
     /usr/lib/node_modules/flot(languages, langpacks:, enabled, are, No),
     /usr/share/doc/nodejs-flot(languages, langpacks:, enabled, are, No)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.10 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.10
INFO: Mock Version: 1.2.10
Finish: chroot init
INFO: installing package(s): /home/gil/1246721-nodejs-flot/results/nodejs-flot-0.8.3-2.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1246721-nodejs-flot/results/nodejs-flot-0.8.3-2.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-flot-0.8.3-2.fc23.noarch.rpm
          nodejs-flot-0.8.3-2.fc23.src.rpm
nodejs-flot.noarch: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
nodejs-flot.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-flot.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-flot.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-flot.noarch: W: spelling-error %description -l en_US www -> WWW, wow
nodejs-flot.noarch: W: spelling-error %description -l en_US flotcharts -> flowcharts, flowchart
nodejs-flot.noarch: W: only-non-binary-in-usr-lib
nodejs-flot.noarch: W: dangling-symlink /usr/lib/node_modules/flot/jquery.js /usr/share/javascript/jquery/1/jquery.js
nodejs-flot.noarch: W: dangling-symlink /usr/lib/node_modules/flot/excanvas.js /usr/share/javascript/excanvas/0/excanvas.js
nodejs-flot.noarch: W: dangling-symlink /usr/lib/node_modules/flot/excanvas.min.js /usr/share/javascript/excanvas/0/excanvas.min.js
nodejs-flot.src: W: spelling-error Summary(en_US) Javascript -> JavaScript, Java script, Java-script
nodejs-flot.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
nodejs-flot.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-flot.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-flot.src: W: spelling-error %description -l en_US www -> WWW, wow
nodejs-flot.src: W: spelling-error %description -l en_US flotcharts -> flowcharts, flowchart
nodejs-flot.src:36: W: mixed-use-of-spaces-and-tabs (spaces: line 36, tab: line 4)
2 packages and 0 specfiles checked; 0 errors, 17 warnings.




Requires
--------
nodejs-flot (rpmlib, GLIBC filtered):
    js-excanvas
    js-jquery1
    nodejs(engine)



Provides
--------
nodejs-flot:
    nodejs-flot
    npm(Flot)



Source checksums
----------------
https://github.com/flot/flot/archive/v0.8.3/nodejs-flot-0.8.3.tar.gz :
  CHECKSUM(SHA256) this package     : 3a3666d0aab777b8fbfddd45146966297e6ef18777d9fd535353be1cc62b21f1
  CHECKSUM(SHA256) upstream package : 3a3666d0aab777b8fbfddd45146966297e6ef18777d9fd535353be1cc62b21f1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1246721 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 12 gil cattaneo 2015-07-26 18:13:35 UTC
NON blocking issues:
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 17 files have unknown
     license. Detailed output of licensecheck in /home/gil/1246721-nodejs-
     flot/licensecheck.txt
    Please, report the problem to upstream, for add license header
Unknown or generated
--------------------
flot-0.8.3/jquery.colorhelpers.js

approved

Comment 13 gil cattaneo 2015-07-26 18:30:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 30 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
  Please, report the problem to upstream, for add license header 
Unknown or generated
--------------------
js-beautify-1.5.10/js/index.js
js-beautify-1.5.10/js/lib/unpackers/javascriptobfuscator_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/myobfuscate_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/p_a_c_k_e_r_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/urlencode_unpacker.js


[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/node_modules/js-
     beautify/lib/unpackers(languages, langpacks:, enabled, are, No),
     /usr/share/doc/nodejs-js-beautify(languages, langpacks:, enabled, are,
     No), /usr/lib/node_modules/js-beautify(languages, langpacks:, enabled,
     are, No), /usr/lib/node_modules/js-beautify/node_modules(languages,
     langpacks:, enabled, are, No), /usr/lib/node_modules/js-
     beautify/lib(languages, langpacks:, enabled, are, No),
     /usr/share/licenses/nodejs-js-beautify(languages, langpacks:, enabled,
     are, No)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.10 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.10
INFO: Mock Version: 1.2.10
Finish: chroot init
INFO: installing package(s): /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1246724-nodejs-js-beautify/results/nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-js-beautify-1.5.10-2.fc23.noarch.rpm
          nodejs-js-beautify-1.5.10-2.fc23.src.rpm
nodejs-js-beautify.noarch: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.noarch: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.noarch: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
nodejs-js-beautify.noarch: W: only-non-binary-in-usr-lib
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/config-chain /usr/lib/node_modules/config-chain
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-js-beautify.noarch: W: dangling-symlink /usr/lib/node_modules/js-beautify/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-js-beautify.noarch: W: no-manual-page-for-binary js-beautify
nodejs-js-beautify.src: W: spelling-error Summary(en_US) jsbeautifier -> beautifier
nodejs-js-beautify.src: W: summary-not-capitalized C jsbeautifier.org for node
nodejs-js-beautify.src: W: spelling-error %description -l en_US reindent -> reinvent, re indent, re-indent
nodejs-js-beautify.src: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
nodejs-js-beautify.src: W: spelling-error %description -l en_US deobfuscate -> obfuscate
nodejs-js-beautify.src: W: spelling-error %description -l en_US javascriptobfuscator -> JavaScript
2 packages and 0 specfiles checked; 0 errors, 17 warnings.




Requires
--------
nodejs-js-beautify (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(config-chain)
    npm(mkdirp)
    npm(nopt)



Provides
--------
nodejs-js-beautify:
    nodejs-js-beautify
    npm(js-beautify)



Source checksums
----------------
https://github.com/beautify-web/js-beautify/archive/v1.5.10/nodejs-js-beautify-1.5.10.tar.gz :
  CHECKSUM(SHA256) this package     : 055ce354da5f38387020d87ec68bd926af43eb36766b560f721b39fc3617c86a
  CHECKSUM(SHA256) upstream package : 055ce354da5f38387020d87ec68bd926af43eb36766b560f721b39fc3617c86a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1246724 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 gil cattaneo 2015-07-26 18:33:36 UTC
NON blocking issues:
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 30 files have
     unknown license. Detailed output of licensecheck in /home/gil/1246724
     -nodejs-js-beautify/licensecheck.txt
  Please, report the problem to upstream, for add license header 
Unknown or generated
--------------------
js-beautify-1.5.10/js/index.js
js-beautify-1.5.10/js/lib/unpackers/javascriptobfuscator_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/myobfuscate_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/p_a_c_k_e_r_unpacker.js
js-beautify-1.5.10/js/lib/unpackers/urlencode_unpacker.js

approved

Comment 15 gil cattaneo 2015-07-26 18:38:54 UTC
sorry for the noise

Comment 16 Eduardo Mayorga 2015-07-26 18:56:26 UTC
New Package SCM Request
=======================
Package Name: nodejs-flot
Short Description: Javascript plotting library for JQuery
Upstream URL: http://www.flotcharts.org/
Owners: mayorga williamjmorenor
Branches: f23
InitialCC:

Comment 17 Eduardo Mayorga 2015-07-27 16:09:50 UTC
Rathann, could you please push an update for nodejs-mkdirp so that we can import this package?

Comment 18 Gwyn Ciesla 2015-07-27 19:31:08 UTC
Git done (by process-git-requests).

Comment 19 Dominik 'Rathann' Mierzejewski 2015-07-27 22:32:32 UTC
(In reply to Eduardo Mayorga from comment #17)
> Rathann, could you please push an update for nodejs-mkdirp so that we can
> import this package?

Why would I do that? I'm not the maintainer of that package.

Comment 20 Eduardo Mayorga 2015-07-29 17:08:40 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #19)
> (In reply to Eduardo Mayorga from comment #17)
> > Rathann, could you please push an update for nodejs-mkdirp so that we can
> > import this package?
> 
> Why would I do that? I'm not the maintainer of that package.

I thought you could do that as a provenpackager. Anyway, I used a fixdep approach to solve the dependencies issues.


Note You need to log in before you can comment on or make changes to this bug.